.search {
  position: relative;
  border-radius: 1.25rem;
  /* flex-shrink: 0;
  flex-grow: 1; */
  flex: 1;
}
.search i {
  position: absolute;
  top: calc(50% - .5rem);
  left: .5rem;
  block-size: 1rem;
  font-size: 1rem;
  color: var(--gray10);
}

.search input {
  padding: .5rem;
  padding-inline-start: 2rem;
  inline-size: 100%;
  max-inline-size: 22rem;
  border: none;
  border-radius: 1.25rem;
  font: var(--baseFont);
  color: var(--gray30);
}
.search:focus-within i {
  color: var(--gray30);
}

.search input::-webkit-input-placeholder {
  color: var(--gray10);
}